JBossSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jboss.ejb.JBossSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jboss.ejb
Class JBossSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.jboss.ejb.JBossSubTask

All Implemented Interfaces:
  Serializable

public class JBossSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Creates jboss.xml, jaws.xml and/or jbosscmp-jdbc.xml deployment descriptors for JBoss. The destinationFile attribute is ignored because this subtask creates multiple deployment descriptor files.

Version:
  $Revision: 1.35 $
Author:
  Ara Abrahamian (ara_e@email.com), Dmitri Colebatch (dim@bigpond.net.au)
See Also:
  Serialized Form
ant.element
  display-name="JBoss" name="jboss" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Oct 15, 2001

Nested Class Summary
`static class` | `JBossSubTask.JBossVersionTypes`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JBossSubTask()`

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getAlterTable()` Gets the alterTable attribute of the JBossSubTask object.
`String` | `getCreateTable()` Gets the createTable attribute of the JBossSubTask object.
`String` | `getDatasource()` Gets the Datasource attribute of the JBossSubTask object
`String` | `getDatasourceMapping()` Gets the DatasourceMapping attribute of the JBossSubTask object
`String` | `getDebug()` Gets the Debug attribute of the JBossSubTask object
`String` | `getGenerateRelations()` Gets the GenerateRelations attribute of the JBossSubTask object
`URL` | `getJawsTemplateURL()` Gets the template URL for jaws.xml .
`URL` | `getJbosscmpTemplateURL()` Gets the template URL for jbosscmp-jdbc.xml.
`URL` | `getJbossTemplateURL()` Gets the template URL for jboss.xml.
`String` | `getPreferredRelationMapping()` Gets the preferredRelationMapping attribute of the JBossSubTask object.
`String` | `getRemoveTable()` Gets the createTable attribute of the JBossSubTask object.
`String` | `getSecurityDomain()` Gets the SecurityDomain attribute of the JBossSubTask object
`String` | `getTypemapping()` Gets the Typemapping attribute of the JBossSubTask object
`String` | `getUnauthenticatedPrincipal()` Gets the unauthenticated principal name to use.
`String` | `getVersion()` Gets the Version attribute of the JBossSubTask object
`String` | `getWebServiceContextRoot()` Get the web service context root.
`void` | `setAlterTable(String alterTable)`
`void` | `setCreateTable(String createTable)`
`void` | `setDatasource(String datasource)` Sets the Datasource attribute of the JBossSubTask object
`void` | `setDatasourceMapping(String datasourceMapping)`
`void` | `setDebug(String debug)` Debug flag for jaws.xml.
`void` | `setGenerateRelations(String generateRelations)`
`void` | `setJawsTemplateFile(File jawsTemplateFile)` Sets the template file for jaws.xml.
`void` | `setJbosscmpTemplateFile(File jbosscmpTemplateFile)` Sets the template file for jbosscmp-jdbc.xml.
`void` | `setJbossTemplateFile(File jbossTemplateFile)` Sets the template file for jboss.xml.
`void` | `setPreferredRelationMapping(String preferredRelationMapping)`
`void` | `setRemoveTable(String removeTable)`
`void` | `setSecurityDomain(String aSecurityDomain)` The security domain to use.
`void` | `setTypemapping(String typemapping)`
`void` | `setUnauthenticatedPrincipal(String anUnauthenticatedPrincipal)` The unauthenticated principal name to use.
`void` | `setVersion(JBossSubTask.JBossVersionTypes version)` The version of JBoss.
`void` | `setWebServiceContextRoot(String webServiceContextRoot)` Set the web service context root.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossSubTask

    public JBossSubTask()

Method Detail

### getWebServiceContextRoot

    public String getWebServiceContextRoot()

  Get the web service context root.

  Returns:
    the web service context root

### getJbossTemplateURL

    public URL getJbossTemplateURL()

  Gets the template URL for jboss.xml.

  Returns:
    the jboss.xml template URL

### getJawsTemplateURL

    public URL getJawsTemplateURL()

  Gets the template URL for jaws.xml .

  Returns:
    the jaws.xml template URL

### getJbosscmpTemplateURL

    public URL getJbosscmpTemplateURL()

  Gets the template URL for jbosscmp-jdbc.xml.

  Returns:
    the jbosscmp-jdbc.xml template URL

### getDebug

    public String getDebug()

  Gets the Debug attribute of the JBossSubTask object

  Returns:
    The Debug value

### getVersion

    public String getVersion()

  Gets the Version attribute of the JBossSubTask object

  Returns:
    The Version value

### getSecurityDomain

    public String getSecurityDomain()

  Gets the SecurityDomain attribute of the JBossSubTask object

  Returns:
    The SecurityDomain value

### getUnauthenticatedPrincipal

    public String getUnauthenticatedPrincipal()

  Gets the unauthenticated principal name to use.

  Returns:
    The unauthenticated principal name

### getDatasource

    public String getDatasource()

  Gets the Datasource attribute of the JBossSubTask object

  Returns:
    The Datasource value

### getDatasourceMapping

    public String getDatasourceMapping()

  Gets the DatasourceMapping attribute of the JBossSubTask object

  Returns:
    The DatasourceMapping value

### getTypemapping

    public String getTypemapping()

  Gets the Typemapping attribute of the JBossSubTask object

  Returns:
    The Typemapping value

### getGenerateRelations

    public String getGenerateRelations()

  Gets the GenerateRelations attribute of the JBossSubTask object

  Returns:
    The GenerateRelations value

### getPreferredRelationMapping

    public String getPreferredRelationMapping()

  Gets the preferredRelationMapping attribute of the JBossSubTask object.

  Returns:
    The preferredRelationMapping value

### getCreateTable

    public String getCreateTable()

  Gets the createTable attribute of the JBossSubTask object.

  Returns:
    The createTable value

### getAlterTable

    public String getAlterTable()

  Gets the alterTable attribute of the JBossSubTask object.

  Returns:
    The alterTable value

### getRemoveTable

    public String getRemoveTable()

  Gets the createTable attribute of the JBossSubTask object.

  Returns:
    The removeTable value

### setWebServiceContextRoot

    public void setWebServiceContextRoot(String webServiceContextRoot)

  Set the web service context root.

  Parameters:
    `webServiceContextRoot` - the web service context root

### setJbossTemplateFile

    public void setJbossTemplateFile(File jbossTemplateFile)
                              throws XDocletException

  Sets the template file for jboss.xml.

  Parameters:
    `jbossTemplateFile` - the jboss.xml file
  Throws:
    `XDocletException`

### setJawsTemplateFile

    public void setJawsTemplateFile(File jawsTemplateFile)
                             throws XDocletException

  Sets the template file for jaws.xml.

  Parameters:
    `jawsTemplateFile` - the jaws.xml file
  Throws:
    `XDocletException`

### setJbosscmpTemplateFile

    public void setJbosscmpTemplateFile(File jbosscmpTemplateFile)
                                 throws XDocletException

  Sets the template file for jbosscmp-jdbc.xml.

  Parameters:
    `jbosscmpTemplateFile` - the jbosscmp-jdbc.xml file
  Throws:
    `XDocletException`

### setDebug

    public void setDebug(String debug)

  Debug flag for jaws.xml.

  Parameters:
    `debug` - No, default is "false"

### setVersion

    public void setVersion(JBossSubTask.JBossVersionTypes version)

  The version of JBoss. Supported versions are 2.4, 3.0, 3.0.1, 3.0.2, 3.0.3, 3.2 and 4.0.

  Parameters:
    `version` - The new Version value

### setSecurityDomain

    public void setSecurityDomain(String aSecurityDomain)

  The security domain to use.

  Parameters:
    `aSecurityDomain` - The new SecurityDomain value

### setUnauthenticatedPrincipal

    public void setUnauthenticatedPrincipal(String anUnauthenticatedPrincipal)

  The unauthenticated principal name to use.

  Parameters:
    `anUnauthenticatedPrincipal` - The new unauthenticated principal name

### setDatasource

    public void setDatasource(String datasource)

  Sets the Datasource attribute of the JBossSubTask object

  Parameters:
    `datasource` - The new Datasource value

### setDatasourceMapping

    public void setDatasourceMapping(String datasourceMapping)

  Parameters:
    `datasourceMapping` -

### setTypemapping

    public void setTypemapping(String typemapping)

  Parameters:
    `typemapping` -

### setGenerateRelations

    public void setGenerateRelations(String generateRelations)

  Parameters:
    `generateRelations` -

### setPreferredRelationMapping

    public void setPreferredRelationMapping(String preferredRelationMapping)

  Parameters:
    `preferredRelationMapping` -

### setCreateTable

    public void setCreateTable(String createTable)

  Parameters:
    `createTable` -

### setAlterTable

    public void setAlterTable(String alterTable)

  Parameters:
    `alterTable` -

### setRemoveTable

    public void setRemoveTable(String removeTable)

  Parameters:
    `removeTable` -

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD